/* -*- Mode: Java; tab-width: 2; indent-tabs-mode: nil; c-basic-offset: 2 -*-
 *
 * The contents of this file are subject to the Netscape Public
 * License Version 1.1 (the "License"); you may not use this file
 * except in compliance with the License. You may obtain a copy of
 * the License at http://www.mozilla.org/NPL/
 *
 * Software distributed under the License is distributed on an "AS
 * IS" basis, WITHOUT WARRANTY OF ANY KIND, either express or
 * implied. See the License for the specific language governing
 * rights and limitations under the License.
 *
 * The Original Code is mozilla.org code.
 * This code has been modified from ExpasyBar
 *
 * The Initial Developer of the Original Code is Netscape
 * Communications Corporation.  Portions created by Netscape are
 * Copyright (C) 1998 Netscape Communications Corporation. All
 * Rights Reserved.
 *
 * Contributor(s):
 *   Jawahar Swaminathan <jawahar@ebi.ac.uk>
 */




function msdbar_RCSBlist_oncommand(aElement) {
  var RCSBbox = document.getElementById("msdbar-RCSB-name");
  var mlist_value = aElement.selectedItem.value;
/*
	var s;

	s = "mlist_value=" + mlist_value + ", textbox value=" + RCSBbox.getAttribute("value") + ", length=" + RCSBbox.getAttribute("textLength") + ",";
	alert(s);
 */

  switch(mlist_value) {
	case "default":
		RCSBbox.removeAttribute("value");
		RCSBbox.setAttribute("value", "www.rcsb.org/pdb");
		break;

	case "RCSB-UK":
		RCSBbox.setAttribute("value", "pdb.ccdc.cam.ac.uk/pdb");
		break;

	case "RCSB-SG":
		RCSBbox.setAttribute("value", "pdb.bic.nus.edu.sg/pdb");
		break;
	case "RCSB-GE":
		RCSBbox.setAttribute("value", "www.pdb.mdc-berlin.de/pdb");
		break;

	case "RCSB-US1":
		RCSBbox.setAttribute("value", "nist.rcsb.org/pdb");
		break;

	case "RCSB-US2":
		RCSBbox.setAttribute("value", "rutgers.rcsb.org/pdb");
		break;

	default:
		alert("Error in MSDbar");
	}
}


