/* -*- Mode: Java; tab-width: 2; indent-tabs-mode: nil; c-basic-offset: 2 -*-
 *
 * The contents of this file are subject to the Netscape Public
 * License Version 1.1 (the "License"); you may not use this file
 * except in compliance with the License. You may obtain a copy of
 * the License at http://www.mozilla.org/NPL/
 *
 * Software distributed under the License is distributed on an "AS
 * IS" basis, WITHOUT WARRANTY OF ANY KIND, either express or
 * implied. See the License for the specific language governing
 * rights and limitations under the License.
 *
 * The Original Code is mozilla.org code.
 * This code has been modified from ExpasyBar
 *
 * The Initial Developer of the Original Code is Netscape
 * Communications Corporation.  Portions created by Netscape are
 * Copyright (C) 1998 Netscape Communications Corporation. All
 * Rights Reserved.
 *
 * Contributor(s):
 *   Jawahar Swaminathan <jawahar@ebi.ac.uk>
 */


function msdbar_mirrorlist_oncommand(aElement) {
  var mirrorbox = document.getElementById("msdbar-mirror-name");
  var mlist_value = aElement.selectedItem.value;
/*
	var s;

	s = "mlist_value=" + mlist_value + ", textbox value=" + mirrorbox.getAttribute("value") + ", length=" + mirrorbox.getAttribute("textLength") + ",";
	alert(s);
 */

  switch(mlist_value) {
	case "default":
		mirrorbox.removeAttribute("value");
		mirrorbox.setAttribute("value", "oca.ebi.ac.uk/oca-bin/ocaids");
		break;

	case "OCA-TAV":
		mirrorbox.removeAttribute("value");
		mirrorbox.setAttribute("value", "pdb.tau.ac.il/oca-bin/ocaids");
		break;

	case "OCA-AU":
		mirrorbox.removeAttribute("value");
		mirrorbox.setAttribute("value", "oca.wehi.edu.au:8383/oca-bin/ocaids");
		break;

	case "OCA-US1":
		mirrorbox.removeAttribute("value");
		mirrorbox.setAttribute("value", "oca.secsg.org/oca-bin/ocaids");
		break;

	case "OCA-AR":
		mirrorbox.removeAttribute("value");
		mirrorbox.setAttribute("value", "pdb.unsl.edu.ar/oca-bin/ocaids");
		break;

	case "OCA-TW":
		mirrorbox.removeAttribute("value");
		mirrorbox.setAttribute("value", "pdb.life.nthu.edu.tw/pdb-bin/pdbids");
		break;

	case "OCA-UK":
		mirrorbox.removeAttribute("value");
		mirrorbox.setAttribute("value", "pdb.ccdc.cam.ac.uk/oca-bin/ocaids");
		break;

	case "OCA-IN":
		mirrorbox.removeAttribute("value");
		mirrorbox.setAttribute("value", "202.41.70.60/oca-bin/ocaids");
		break;

	case "OCA-US2":
		mirrorbox.removeAttribute("value");
		mirrorbox.setAttribute("value", "www.pdb.bu.edu/oca-bin/ocaids");
		break;

	case "OCA-PL":
		mirrorbox.removeAttribute("value");
		mirrorbox.setAttribute("value", "rcsb.icm.edu.pl/oca-bin/ocaids");
		break;

	case "OCA-IL":
		mirrorbox.removeAttribute("value");
		mirrorbox.setAttribute("value", "bip.weizmann.ac.il/oca-bin/ocaids");
		break;


	default:
		alert("Error in MSDbar");
	}
}


